Page MenuHomePhabricator

AMDGPU: Preserve undef flag on vcc when shrinking v_cndmask_b32
ClosedPublic

Authored by arsenm on Jun 8 2016, 1:10 PM.

Details

Reviewers
tstellarAMD
Summary

The implicit operand is added by the initial instruction construction,
so this was adding an additional vcc use. The original one
was missing the undef flag the original condition had,
so the verifier would complain.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 60089.Jun 8 2016, 1:10 PM
arsenm retitled this revision from to AMDGPU: Preserve undef flag on vcc when shrinking v_cndmask_b32.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
arsenm updated this revision to Diff 60093.Jun 8 2016, 1:23 PM

Don't preserve kill

arsenm updated this revision to Diff 60104.Jun 8 2016, 2:36 PM

Go back to preserving kill

tstellarAMD accepted this revision.Jun 14 2016, 6:04 PM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jun 14 2016, 6:04 PM
arsenm closed this revision.Jun 20 2016, 11:41 AM

r273182